Skip to main content
`Ctrl`+`K`

# VecNestGetTaoTermSumParameters

A wrapper around `VecNestGetSubVec()` for `TAOTERMSUM`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode VecNestGetTaoTermSumParameters(Vec params, PetscInt index, Vec *subparams)

Not collective

## Input Parameters

- params - a `VECNEST` that has one nested vector for each term of a `TAOTERMSUM`

- index - the index of a term

## Output Parameter

- subparams - the parameters of the internal terms of `TAOTERMSUM`. (may be `NULL`)

## Note

`VecNestGetSubVec()` cannot return `NULL` for the subvec. If `params` was created by `TaoTermSumParametersPack()`, then any `NULL` subvecs that were passed to that function will be returned `NULL` by this function.

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSUM`, `TaoTermSumParametersPack()`, `TaoTermSumParametersUnpack()`, `VECNEST`, `VecNestGetSubVec()`

## Level

intermediate

## Location

src/tao/term/impls/sum/taotermsum.c

## Examples

src/tao/unconstrained/tutorials/elastic_net_regularization.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages